import request from '/@/utils/request';

export function userApi() {
    return {
        // v1
        // getUserList: (data: any) => {
        //     return request({
        //         url: import.meta.env.VITE_API_URL + `/account/user/find/list/roleId`,
        //         method: 'post',
        //         data: data
        //     });
        // },
        getUserList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/find/user/list`,
                method: 'post',
                data: data
            });
        },

        getExpertsList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/find/expert/list`,
                method: 'post',
                data: data
            });
        },

        // v1
        addUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/add`,
                method: 'post',
                data: data
            });
        },
        // v1
        modUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/update/info`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteUser: (userId: number | null) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/deleteUser?userId=${userId == null ? null : userId}`,
                method: 'get'
            });
        },
        // v1
        getUserLByDepartment: (depId: number | null) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/dep/list?depId=${depId == null ? '' : depId}`,
                method: 'get'
            });
        },

        getUserLByRealName: (name: string) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/user/find/list/realName?name=${name}`,
                method: 'get'
            });
        },

        getAllUser: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/list`,
                method: 'get'
            });
        }
    };
}
